> ## Documentation Index
> Fetch the complete documentation index at: https://product-discovery.developer.voyado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Job Status

> The customer data job status can be performed to check the current job status of an export or removal job.

The customer data job status can be performed to check the current job status of an export or removal job.  More GDPR information is <a href="https://help.elevate.voyado.com/hc/en-gb/articles/19750558029212-GDPR-data-management">available here</a>.

```http theme={null}
GET https://{cluster-id}.elevate-api.cloud/api/admin/v4/event-data/job-status
```

## Request

<AccordionGroup>
  <Accordion title="Request header parameters">
    | Name        | Description                         | Example       |
    | ----------- | ----------------------------------- | ------------- |
    | `Api-Key`\* | API key supplied during onboarding. | `123456789..` |
  </Accordion>

  <Accordion title="Request query parameters">
    | Name    | Description                 | Example                                |
    | ------- | --------------------------- | -------------------------------------- |
    | `jid`\* | The id of a event data job. | `962d41f3-1a53-4bb8-bd01-3b85310fb45f` |
  </Accordion>

  <Accordion title="Example request">
    ```bash title="bash" theme={null}
    curl -i \
    -X GET \
    -H 'Api-Key: 123456789..' \
    "https://{cluster-id}.elevate-api.cloud/api/admin/v4/event-data/job-status?jid=jid"
    ```
  </Accordion>
</AccordionGroup>

## Response

<AccordionGroup>
  <Accordion title="Response codes">
    | Status | Description                                                     |
    | ------ | --------------------------------------------------------------- |
    | `403`  | Incorrect cluster credentials.                                  |
    | `400`  | Invalid or missing required arguments.                          |
    | `200`  | Request accepted, check the status of job with the supplied id. |
  </Accordion>

  <Accordion title="Example response">
    ```json theme={null}
    {
      "jid" : "962d41f3-1a53-4bb8-bd01-3b85310fb45f",
      "status" : "created"
    }
    ```
  </Accordion>

  <Accordion title="Response body schema">
    #### EventDataJobResult

    The object representation of create or checking the status of a event data job.

    | Name   | Type   | Description                                                                                                                                     |
    | ------ | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------- |
    | jid    | string | The identifier of the event data job.<br /><br />Examples: `"962d41f3-1a53-4bb8-bd01-3b85310fb45f"`                                             |
    | status | string | The current status of the job Supported values: `not_found`, `created`, `waiting`, `running`, `done`, `error`.<br /><br />Examples: `"created"` |
  </Accordion>
</AccordionGroup>
